0

I've got a site stuck on an older version of Craft, v2. I'd like to switch to using S3 to store all my assets but I've ran into a problem. I cannot authenticate using the S3 api library, this is one of Craft's built in files and appears at craft/app/lib/S3.php, does anyone have an updated version of this that doesn't need me to update to v3 of the CMS?

The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.